## zita-ajbridge 0.2.2

=== source/Makefile ===
# ----------------------------------------------------------------------------
#
#  Copyright (C) 2012 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


PREFIX = /usr/local
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
VERSION = 0.2.2
BINDIR = $(PREFIX)/bin
LIBDIR = lib$(SUFFIX)
LDFLAGS += -L$(PREFIX)/$(LIBDIR)
CPPFLAGS += -DVERSION=\"$(VERSION)\"
CXXFLAGS += -O2 -Wall -MMD -MP


all:	zita-a2j zita-j2a


ZITA-A2J_O = zita-a2j.o alsathread.o jackclient.o pxthread.o lfqueue.o
$(ZITA-A2J_O):
-include $(ZITA-A2J_O:%.o=%.d)
zita-a2j:	CPPFLAGS += -DAPPNAME=\"zita-a2j\"
zita-a2j:	LDLIBS += -lzita-resampler -lzita-alsa-pcmi -ljack -lasound -lpthread -lm -lrt
zita-a2j:	$(ZITA-A2J_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-A2J_O) $(LDLIBS)


ZITA-J2A_O = zita-j2a.o alsathread.o jackclient.o pxthread.o lfqueue.o
$(ZITA-J2A_O):
-include $(ZITA-J2A_O:%.o=%.d)
zita-j2a:	CPPFLAGS += -DAPPNAME=\"zita-j2a\"
zita-j2a:	LDLIBS += -lzita-resampler -lzita-alsa-pcmi -ljack -lasound -lpthread -lm -lrt
zita-j2a:	$(ZITA-J2A_O)
	g++ $(LDFLAGS) -o $@ $(ZITA-J2A_O) $(LDLIBS)


install:	all
	install -d $(DESTDIR)$(BINDIR)
	install -m 755 zita-a2j $(DESTDIR)$(BINDIR)
	install -m 755 zita-j2a $(DESTDIR)$(BINDIR)


uninstall:
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-a2j
	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-j2a


clean:
	/bin/rm -f *~ *.o *.a *.d *.so
	/bin/rm -f zita-a2j zita-j2a

=== debian/changelog ===
zita-ajbridge (0.2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh 0001-makefile.patch.
  * Bump dependency on libzita-alsa-pcmi to 0.2.0.

 -- Alessio Treglia <alessio@debian.org>  Sat, 24 Mar 2012 16:01:31 +0100

zita-ajbridge (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #664665).

 -- Robin Gareus <robin@gareus.org>  Mon, 19 Mar 2012 16:33:04 +0100

=== debian/control ===
Source: zita-ajbridge
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Robin Gareus <robin@gareus.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libasound2-dev,
 libjack-dev,
 libzita-alsa-pcmi-dev (>= 0.2.0),
 libzita-resampler-dev (>= 1.1.0)
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-ajbridge.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-ajbridge.git

Package: zita-ajbridge
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: alsa to jack bridge
 This package provides two applications, zita-a2j and zita-j2a.
 They allow to use an ALSA device as a Jack client, to provide
 additional capture (a2j) or playback (j2a) channels.
 .
 Functionally these are equivalent to the alsa_in and alsa_out
 clients that come with Jack, but they provide much better audio
 quality. The resampling ratio will typically be stable within
 1 PPM and change only very smoothly. Delay will be stable as
 well even under worse case conditions, e.g. the Jack client
 running near the end of the cycle.

## zita-ajbridge 0.4.0

=== source/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-VERSION = 0.2.2
+VERSION = 0.4.0
 BINDIR = $(PREFIX)/bin
 LIBDIR = lib$(SUFFIX)
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)

=== debian/changelog ===
zita-ajbridge (0.4.0-1) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added myself as uploader.
  * New upstream release.
  * Refreshed patch.
  * Set PREFIX in patch.
  * Set dh/compat 9
  * Bump Standards.
  * Fixed spelling in man pages.

  [ IOhannes m zmölnig ]
  * Fixed URL of Quick Guide.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 05 Oct 2013 00:26:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
- Robin Gareus <robin@gareus.org>
+ Robin Gareus <robin@gareus.org>,
+ Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libasound2-dev,
  libjack-dev,
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libzita-resampler-dev (>= 1.1.0)
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-ajbridge.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-ajbridge.git

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ -Smakefile -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

## zita-ajbridge 0.6.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2012 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2012-2015 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -18,17 +18,20 @@
 # ----------------------------------------------------------------------------
 
 
-PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-VERSION = 0.4.0
-BINDIR = $(PREFIX)/bin
-LIBDIR = lib$(SUFFIX)
+VERSION = 0.6.0
+
+PREFIX ?= /usr/local
+BINDIR ?= $(PREFIX)/bin
+LIBDIR ?= lib$(SUFFIX)
+MANDIR ?= /usr/share/man/man1
+
 LDFLAGS += -L$(PREFIX)/$(LIBDIR)
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2 -Wall -MMD -MP
 
 
-all:	zita-a2j zita-j2a
+all:	zita-a2j zita-j2a zita-ajbridge.1.gz zita-a2j.1.gz zita-j2a.1.gz 
 
 
 ZITA-A2J_O = zita-a2j.o alsathread.o jackclient.o pxthread.o lfqueue.o
@@ -49,18 +52,33 @@
 	g++ $(LDFLAGS) -o $@ $(ZITA-J2A_O) $(LDLIBS)
 
 
+zita-ajbridge.1.gz:	zita-ajbridge.1
+	gzip -c zita-ajbridge.1 > zita-ajbridge.1.gz
+
+zita-a2j.1.gz:	zita-a2j.1
+	gzip -c zita-a2j.1 > zita-a2j.1.gz
+
+zita-j2a.1.gz:	zita-j2a.1
+	gzip -c zita-j2a.1 > zita-j2a.1.gz
+
+
 install:	all
-	install -d $(DESTDIR)$(BINDIR)
-	install -m 755 zita-a2j $(DESTDIR)$(BINDIR)
-	install -m 755 zita-j2a $(DESTDIR)$(BINDIR)
+	install -Dm 755 zita-a2j $(DESTDIR)$(BINDIR)
+	install -Dm 755 zita-j2a $(DESTDIR)$(BINDIR)
+	install -Dm 644 zita-ajbridge.1.gz $(DESTDIR)$(MANDIR)
+	install -Dm 644 zita-a2j.1.gz $(DESTDIR)$(MANDIR)
+	install -Dm 644 zita-j2a.1.gz $(DESTDIR)$(MANDIR)
 
 
 uninstall:
 	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-a2j
 	/bin/rm -f  $(DESTDIR)$(BINDIR)/zita-j2a
+	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-ajbridge.1.gz
+	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-a2j.1.gz
+	/bin/rm -f  $(DESTDIR)$(MANDIR)/zita-j2a.1.gz
 
 
 clean:
-	/bin/rm -f *~ *.o *.a *.d *.so
+	/bin/rm -f *~ *.o *.a *.d *.so *.gz
 	/bin/rm -f zita-a2j zita-j2a

=== debian/changelog ===
zita-ajbridge (0.6.0-1) unstable; urgency=medium

  * Bump Standards.
  * Build parallel.
  * Patch refreshed.
  * Install upstream man pages.
  * Spelling fix in description.
  * Added patch to fix install.
  * Added patch to fix spelling.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 04 Sep 2015 05:17:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libzita-resampler-dev (>= 1.1.0)
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-ajbridge.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-ajbridge.git
 
@@ -23,7 +23,7 @@
  ${shlibs:Depends}
 Description: alsa to jack bridge
  This package provides two applications, zita-a2j and zita-j2a.
- They allow to use an ALSA device as a Jack client, to provide
+ They allow one to use an ALSA device as a Jack client, to provide
  additional capture (a2j) or playback (j2a) channels.
  .
  Functionally these are equivalent to the alsa_in and alsa_out

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --parallel -Smakefile -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=3
http://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-ajbridge-(.*)\.tar\.bz2

## zita-ajbridge 0.7.0

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2012-2015 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2012-2016 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
 
 
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-VERSION = 0.6.0
+VERSION = 0.7.0
 
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin

=== debian/changelog ===
zita-ajbridge (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * Patch refreshed.
  * Bump Standards.
  * Fix VCS fields.
  * Set dh/compat 10.
  * Fix hardening.
  * Update copyright file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 17 Oct 2016 06:18:28 +0200

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  libasound2-dev,
  libjack-dev,
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libzita-resampler-dev (>= 1.1.0)
 Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zita-ajbridge.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zita-ajbridge.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-ajbridge.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-ajbridge.git
 
 Package: zita-ajbridge
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Smakefile -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

## zita-ajbridge 0.8.2

=== source/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ----------------------------------------------------------------------------
 #
-#  Copyright (C) 2012-2016 Fons Adriaensen <fons@linuxaudio.org>
+#  Copyright (C) 2012-2018 Fons Adriaensen <fons@linuxaudio.org>
 #    
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -18,17 +18,13 @@
 # ----------------------------------------------------------------------------
 
 
-SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-VERSION = 0.7.0
-
 PREFIX ?= /usr/local
 BINDIR ?= $(PREFIX)/bin
-LIBDIR ?= lib$(SUFFIX)
 MANDIR ?= /usr/share/man/man1
 
-LDFLAGS += -L$(PREFIX)/$(LIBDIR)
-CPPFLAGS += -DVERSION=\"$(VERSION)\"
-CXXFLAGS += -O2 -Wall -MMD -MP
+VERSION = 0.8.2
+CPPFLAGS +=  -MMD -MP -DVERSION=\"$(VERSION)\"
+CXXFLAGS += -O2 -Wall
 
 
 all:	zita-a2j zita-j2a zita-ajbridge.1.gz zita-a2j.1.gz zita-j2a.1.gz 
@@ -40,7 +36,7 @@
 zita-a2j:	CPPFLAGS += -DAPPNAME=\"zita-a2j\"
 zita-a2j:	LDLIBS += -lzita-resampler -lzita-alsa-pcmi -ljack -lasound -lpthread -lm -lrt
 zita-a2j:	$(ZITA-A2J_O)
-	g++ $(LDFLAGS) -o $@ $(ZITA-A2J_O) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(ZITA-A2J_O) $(LDLIBS)
 
 
 ZITA-J2A_O = zita-j2a.o alsathread.o jackclient.o pxthread.o lfqueue.o
@@ -49,7 +45,7 @@
 zita-j2a:	CPPFLAGS += -DAPPNAME=\"zita-j2a\"
 zita-j2a:	LDLIBS += -lzita-resampler -lzita-alsa-pcmi -ljack -lasound -lpthread -lm -lrt
 zita-j2a:	$(ZITA-J2A_O)
-	g++ $(LDFLAGS) -o $@ $(ZITA-J2A_O) $(LDLIBS)
+	$(CXX) $(LDFLAGS) -o $@ $(ZITA-J2A_O) $(LDLIBS)
 
 
 zita-ajbridge.1.gz:	zita-ajbridge.1
@@ -63,11 +59,13 @@
 
 
 install:	all
-	install -Dm 755 zita-a2j $(DESTDIR)$(BINDIR)
-	install -Dm 755 zita-j2a $(DESTDIR)$(BINDIR)
-	install -Dm 644 zita-ajbridge.1.gz $(DESTDIR)$(MANDIR)
-	install -Dm 644 zita-a2j.1.gz $(DESTDIR)$(MANDIR)
-	install -Dm 644 zita-j2a.1.gz $(DESTDIR)$(MANDIR)
+	install -d $(DESTDIR)$(BINDIR)
+	install -d $(DESTDIR)$(MANDIR)
+	install -m 755 zita-a2j $(DESTDIR)$(BINDIR)
+	install -m 755 zita-j2a $(DESTDIR)$(BINDIR)
+	install -m 644 zita-ajbridge.1.gz $(DESTDIR)$(MANDIR)
+	install -m 644 zita-a2j.1.gz $(DESTDIR)$(MANDIR)
+	install -m 644 zita-j2a.1.gz $(DESTDIR)$(MANDIR)
 
 
 uninstall:

=== debian/changelog ===
zita-ajbridge (0.8.2-1) unstable; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 0.8.2
  * d/control:
    + Bump dh-compat to 12
    + Bump standards version to 4.5.0
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright: Update year, http > https & add myself
  * d/patches: Update patchset
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Fri, 31 Jan 2020 22:27:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: zita-ajbridge
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  libasound2-dev,
  libjack-dev,
  libzita-alsa-pcmi-dev (>= 0.2.0),
  libzita-resampler-dev (>= 1.1.0)
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zita-ajbridge.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zita-ajbridge.git
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/multimedia-team/zita-ajbridge.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zita-ajbridge
+Rules-Requires-Root: no
 
 Package: zita-ajbridge
 Architecture: any

## zita-ajbridge 0.8.4

=== source/Makefile ===
--- 
+++ 
@@ -22,7 +22,7 @@
 BINDIR ?= $(PREFIX)/bin
 MANDIR ?= /usr/share/man/man1
 
-VERSION = 0.8.2
+VERSION = 0.8.4
 CPPFLAGS +=  -MMD -MP -DVERSION=\"$(VERSION)\"
 CXXFLAGS += -O2 -Wall

=== debian/changelog ===
zita-ajbridge (0.8.4-1) unstable; urgency=medium

  * New upstream version 0.8.4
  * Refresh install patch
  * Update d/copyright year
  * Add me as uploader
  * d/rules: Remove obsolete -Smakefile

 -- Dennis Braun <d_braun@kabelmail.de>  Thu, 09 Apr 2020 00:13:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Robin Gareus <robin@gareus.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <d_braun@kabelmail.de>
 Build-Depends:
  debhelper-compat (= 12),
  libasound2-dev,

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Dsource

override_dh_installchangelogs:
	dh_installchangelogs README

=== debian/watch ===
version=4
https://kokkinizita.linuxaudio.org/linuxaudio/downloads/index.html \
	zita-ajbridge-(.*)\.tar\.bz2
